package com.xiang.xservice.application.generator.controller;

import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * 页面控制器
 *
 * @author zhengkai.blog.csdn.net
 */
@RequiredArgsConstructor
@Controller
@RequestMapping("/generator")
public class PageController {
    

    @GetMapping("/")
    public ModelAndView defaultPage() {
        return new ModelAndView("newui2");
    }
    @GetMapping("/index")
    public ModelAndView indexPage() {
        return new ModelAndView("newui2");
    }

}